Bug 497862 - Review Request: python-paida - Pure Python scientific analysis package
Review Request: python-paida - Pure Python scientific analysis package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 11:47 EDT by Susi Lehtola
Modified: 2009-05-09 00:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.2.1_2.10.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-04-27 11:47:30 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/python-paida.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/python-paida-3.2.1_2.10.1-1.fc10.src.rpm

Description:
PAIDA is pure Python scientific analysis package and
supports AIDA (Abstract Interfaces for Data Analysis).
Comment 1 Fabian Affolter 2009-04-27 14:40:40 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture.
     Tested on: F10/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop24 SRPMS]$ rpmlint python-paida-3.2.1_2.10.1-1.fc10.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop24 noarch]$ rpmlint python-paida-3.2.1_2.10.1-1.fc10.noarch.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: Python
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     Upstream source: 8a56bfbf037891d542f771cf50da13ed
     Build source:    8a56bfbf037891d542f771cf50da13ed
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales.
 [-] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] -debuginfo subpackage is present and looks complete.
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install.
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F10/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1323045
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format

=== ISSUES ===
- $RPM_BUILD_ROOT and %{buildroot} are mixed.
- The README says 'If zlib module is enabled, you can use compressed XML store files.'. Would this be a nice option?
- Application crashed on my F10/i386 machine with this file:
http://paida.sourceforge.net/documentation/histogram/sampleHistogram3D.py

[fab@laptop24 ~]$ python sampleHistogram3D.py 
Exception in thread Thread-1:
Traceback (most recent call last):
  File "/usr/lib/python2.5/threading.py", line 486, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.5/site-packages/paida/paida_gui/tkinter/PRoot.py", line 67, in run
    self._setRoot(Tk())
  File "/usr/lib/python2.5/lib-tk/Tkinter.py", line 1636, in __init__
    self.tk = _tkinter.create(screenName, baseName, className, interactive, wantobjects, useTk, sync, use)
TclError: out of stack space (infinite loop?)

The crash should be investigated by upstream and is not a blocker from my point od view.  Perhaps it's only a handling error from my side.
Comment 2 Susi Lehtola 2009-04-27 15:22:26 EDT
(In reply to comment #1)
> === ISSUES ===
> - $RPM_BUILD_ROOT and %{buildroot} are mixed.

Whoops, missed one. I should probably make an own template that uses %{buildroot} instead of the Fedora standard template's $RPM_BUILD_ROOT. Fixed.

> - The README says 'If zlib module is enabled, you can use compressed XML store
> files.'. Would this be a nice option?

Yeah, I just don't know what is this zlib module, at least I can't find anything with yum :)

> - Application crashed on my F10/i386 machine with this file:
> http://paida.sourceforge.net/documentation/histogram/sampleHistogram3D.py
> 
> [fab@laptop24 ~]$ python sampleHistogram3D.py 
> Exception in thread Thread-1:
> Traceback (most recent call last):
>   File "/usr/lib/python2.5/threading.py", line 486, in __bootstrap_inner
>     self.run()
>   File "/usr/lib/python2.5/site-packages/paida/paida_gui/tkinter/PRoot.py",
> line 67, in run
>     self._setRoot(Tk())
>   File "/usr/lib/python2.5/lib-tk/Tkinter.py", line 1636, in __init__
>     self.tk = _tkinter.create(screenName, baseName, className, interactive,
> wantobjects, useTk, sync, use)
> TclError: out of stack space (infinite loop?)
> 
> The crash should be investigated by upstream and is not a blocker from my point
> od view.  Perhaps it's only a handling error from my side.  

Odd. Yes, this should go upstream. I must admit that I haven't done any testing of this package as it is just a library.
Comment 4 Fabian Affolter 2009-04-27 16:27:24 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > - The README says 'If zlib module is enabled, you can use compressed XML store
> > files.'. Would this be a nice option?
> 
> Yeah, I just don't know what is this zlib module, at least I can't find
> anything with yum :)

I only know one zlib : https://admin.fedoraproject.org/pkgdb/packages/name/zlib ;-)

Package APPROVED
Comment 5 Susi Lehtola 2009-04-27 16:47:41 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: python-paida
Short Description: Pure Python scientific analysis package
Owners: jussilehtola
Branches: F-10 F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-04-28 23:18:55 EDT
cvs done.
Comment 7 Fedora Update System 2009-04-29 02:46:13 EDT
python-paida-3.2.1_2.10.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-paida-3.2.1_2.10.1-2.fc10
Comment 8 Fedora Update System 2009-04-29 02:47:11 EDT
python-paida-3.2.1_2.10.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-paida-3.2.1_2.10.1-2.fc11
Comment 9 Fedora Update System 2009-05-02 12:35:04 EDT
python-paida-3.2.1_2.10.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-09 00:24:59 EDT
python-paida-3.2.1_2.10.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.